# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Order\Modifier:
  - class: CDev\Coupons\Logic\Order\Modifier\Discount
    weight: 50
  - class: CDev\Coupons\Logic\Order\Modifier\CouponFreeCheapestShipping
    weight: 51
  - class: CDev\Coupons\Logic\Order\Modifier\CouponFreeShippingMethod
    weight: 52
XLite\Model\Role\Permission:
  - code: ROLE_MANAGE_COUPONS
    section: Coupons
    module: CDev\Coupons
    translations: [{code: en, name: 'Manage coupons'}, {code: ru, name: 'Управление купонами'}, { code: es, name: 'Gestionar cupones' }]
XLite\Model\Role:
  - translations: [{code: en, name: 'Coupons management'}, {code: ru, name: 'Управление купонами'}, {code: es, name: 'Gestión de cupones'}]
    permissions: [{code: ROLE_MANAGE_COUPONS}]
XLite\Model\Config:
  - name: settings_page_heading
    category: CDev\Coupons
    type: hidden
    orderby: 0
    translations: [{code: en, option_name: 'Coupons Settings'}]
    module: CDev\Coupons
  - name: show_box
    category: CDev\Coupons
    type: XLite\View\FormField\Input\Checkbox\YesNo
    orderby: 10
    value: 0
    translations: [{code: en, option_name: 'Always show coupon code box', option_comment: 'Defines whether the coupon code entry box is shown by default at checkout and cart, otherwise customers will need to click the ‘Have a coupon code?’ button manually to make it appear.'}]
    module: CDev\Coupons
XLite\Model\LanguageLabel:
  - name: 'The length of X field must be greater than Y'
    translations: [{code: en, label: 'The length of the {{name}} field must be greater than {{min}}'}]
  - name: 'The length of X field must be less than Y'
    translations: [{code: en, label: 'The length of the {{name}} field must be less than {{max}}'}]
  - name: 'Have more coupons?'
    translations: [{code: en, label: 'Have more coupons?'}]
  - name: 'Applied discount coupon'
    translations: [{code: en, label: 'Applied discount coupon'}]
  - name: 'X coupon(s) has been removed'
    translations: [{code: en, label: '{{count}} coupon(s) removed'}]
  - name: 'X coupon(s) has been created'
    translations: [{code: en, label: '{{count}} coupon(s) created'}]
  - name: 'X code is already used for other coupon, please specify a different code'
    translations: [{code: en, label: 'The code "{{code}}" is already used for another coupon. Please choose a different code.'}]
  - name: 'There is no such a coupon, please check the spelling: X'
    translations: [{code: en, label: 'Invalid coupon code, please check the spelling: "{{code}}"'}]
  - name: 'You have already used the coupon'
    translations: [{code: en, label: 'The coupon has already been used'}]
  - name: 'The coupon has been applied to your order'
    translations: [{code: en, label: 'The coupon has been applied to your order'}]
  - name: 'Coupon discount'
    translations: [{code: en, label: 'Coupon discount'}]
  - name: 'Minimum order subtotal must be less than maximum order subtotal'
    translations: [{code: en, label: 'Minimum order subtotal must be less than maximum order subtotal'}]
  - name: 'Maximum order subtotal must be greater than minimum order subtotal'
    translations: [{code: en, label: 'Maximum order subtotal must be greater than minimum order subtotal'}]
  - name: 'The coupon has been added'
    translations: [{code: en, label: 'Coupon added'}]
  - name: 'The coupon has been updated'
    translations: [{code: en, label: 'Coupon updated'}]
  - name: 'Limit number of uses'
    translations: [{code: en, label: 'Limit number of uses'}]
  - name: 'Maximum number of uses'
    translations: [{code: en, label: 'Maximum number of uses'}]
  - name: 'To use the coupon, your order subtotal must be between X and Y'
    translations: [{code: en, label: 'This coupon can be applied only to orders with a subtotal amount between {{min}} and {{max}}'}]
  - name: 'To use the coupon, your order subtotal must be at least X'
    translations: [{code: en, label: 'This coupon can be applied only to orders with a subtotal amount of at least {{min}}'}]
  - name: 'To use the coupon, your order subtotal must not exceed Y'
    translations: [{code: en, label: 'This coupon can be applied only to orders with a subtotal amount not exceeding {{max}}'}]
  - name: 'To use the coupon, your order subtotal must be between X and Y for specific products'
    translations: [{code: en, label: 'This coupon can be applied only to orders with a subtotal amount between {{min}} and {{max}} and is valid only for specific products'}]
  - name: 'To use the coupon, your order subtotal must be at least X for specific products'
    translations: [{code: en, label: 'This coupon can be applied only to orders with a subtotal amount of at least {{min}} and is valid only for specific products'}]
  - name: 'To use the coupon, your order subtotal must not exceed Y for specific products'
    translations: [{code: en, label: 'This coupon can be applied only to orders with a subtotal amount not exceeding {{max}} and is valid only for specific products'}]
  - name: 'Date when customers can start using the coupon'
    translations: [{code: en, label: 'Date when customers can start using the coupon'}]
  - name: 'Date when the coupon expires'
    translations: [{code: en, label: 'Date when the coupon expires'}]
  - name: 'Minimum order subtotal the coupon can be applied to'
    translations: [{code: en, label: 'Minimum order subtotal to which the coupon can be applied'}]
  - name: 'Maximum order subtotal the coupon can be applied to'
    translations: [{code: en, label: 'Maximum order subtotal to which the coupon can be applied'}]
  - name: 'Coupon discount can be limited to these product classes'
    translations: [{code: en, label: 'Coupon discount can be limited to these product classes'}]
  - name: 'Coupon discount can be limited to customers with these membership levels'
    translations: [{code: en, label: 'Coupon discount can be limited to customers with these membership levels'}]
  - name: 'This comment will be visible to shop administrators only'
    translations: [{code: en, label: 'This comment is visible to shop administrators only'}]
  - name: 'Add new coupon'
    translations: [{code: en, label: 'Add new coupon'}]
  - name: 'Enter code'
    translations: [{code: en, label: 'Enter code'}]
  - name: Coupon
    translations: [{code: en, label: Coupon}]
  - name: Redeem
    translations: [{code: en, label: Redeem}]
  - name: 'X off'
    translations: [{code: en, label: '{{currency}} off'}]
  - name: 'Removed coupons'
    translations: [{code: en, label: 'Removed coupons'}]
  - name: 'Added coupons'
    translations: [{code: en, label: 'Added coupons'}]
  - name: 'Add coupon'
    translations: [{code: en, label: 'Add coupon'}]
  - name: 'This coupon cannot be combined with other coupons'
    translations: [{code: en, label: 'This coupon cannot be combined with other coupons'}]
  - name: 'Sorry, this coupon cannot be combined with the coupon already applied. Revome the previously applied coupon and try again.'
    translations: [{code: en, label: 'Sorry, this coupon cannot be combined with the coupon already applied. Remove the previously applied coupon and try again.'}]
  - name: 'Coupon cannot be combined with other coupons'
    translations: [{code: en, label: 'Coupon cannot be combined with other coupons'}]
  - name: 'If you want the coupon discount to be applied only to products from specific categories, specify these categories here.'
    translations: [{code: en, label: 'If you want the coupon discount to be applied only to products from specific categories, specify these categories here.'}]
  - name: 'Sorry, the coupon you entered is invalid. Make sure the coupon code is spelled correctly'
    translations: [{code: en, label: 'Sorry, the coupon you entered is invalid. Make sure the coupon code is spelled correctly'}]
  - name: 'Sorry, the coupon has expired'
    translations: [{code: en, label: 'Sorry, the coupon has expired'}]
  - name: 'Sorry, the coupon use limit has been reached'
    translations: [{code: en, label: 'Sorry, the coupon use limit has been reached'}]
  - name: 'Sorry, the coupon you entered cannot be applied to the items in your cart'
    translations: [{code: en, label: 'Sorry, the coupon you entered cannot be applied to the items in your cart'}]
  - name: 'Sorry, the coupon you entered is not valid for your membership level. Contact the administrator'
    translations: [{code: en, label: 'Sorry, the coupon you entered is not valid for your membership level. Contact the administrator'}]
  - name: 'The maximum number of uses per user'
    translations: [{code: en, label: 'The maximum number of uses per user'}]
  - name: itemslist.admin.coupon.blank
    translations: [{code: en, label: '<p>There are currently no coupons. Information on the use of coupons is available <a target="_blank" href="https://support.x-cart.com/en/articles/4909683-discount-coupons">here</a>.</p>'}, {code: ru, label: '<p>В настоящее время купонов нет. Об использовании купонов можно прочесть <a target="_blank" href="https://support.x-cart.com/en/articles/4909683-discount-coupons">здесь</a>.</p>'}]
  - name: 'The selected date is outside the allowed date range'
    translations: [{code: en, label: 'The selected date is outside the allowed date range'}, {code: ru, label: 'Выбранная дата находится вне допустимого диапазона значений'}]
  - name: 'Sorry, the coupon you entered cannot be applied to this delivery address'
    translations: [{code: en, label: 'Sorry, the coupon code you entered cannot be applied if shipping the order to the currently specified delivery address'}, {code: ru, label: 'К сожалению, данный купон не может быть применен при доставке заказа на указанный адрес'}]
  - name: 'If no zones selected, then the coupon will be applied to any ship-to address'
    translations: [{code: en, label: 'If no zones selected, then the coupon will be applied to any ship-to address'}, {code: ru, label: 'Данная скидка действует для следующей области доставки'}]
  - name: 'Eligible Address Zones (coupons)'
    translations: [{code: en, label: 'Eligible Address Zones'}, {code: ru, label: 'Зоны доставки'}]
  - name: 'Products (X)'
    translations: [{code: en, label: 'Products ({{count}})'}, {code: ru, label: 'Товары ({{count}})'}]
  - name: 'X product(s) added'
    translations: [{code: en, label: '{{count}} product(s) added'}, {code: ru, label: 'Добавлено товаров: {{count}}'}]
  - name: 'Valid only for specific products'
    translations: [{code: en, label: 'Valid only for specific products'}, {code: ru, label: 'Действует только для определенных товаров'}]
  - name: 'The "{{code}}" coupon does not exist'
    translations: [{code: en, label: 'The "{{code}}" coupon does not exist'}, {code: ru, label: 'Купон "{{code}}" не найден'}]
  - name: 'Coupons'
    translations: [{code: en, label: 'Coupons'}, {code: ru, label: 'Купоны'}]
  - name: '[coupons] Free shipping'
    translations: [{code: en, label: 'Free shipping'}]
  - name: '[coupons] Apply zero shipping cost to'
    translations:
      - {code: en, label: 'Apply zero shipping cost to'}
  - name: '[coupons] The cheapest shipping option'
    translations:
      - {code: en, label: 'The cheapest shipping option'}
  - name: '[coupons] Free shipping method'
    translations:
      - {code: en, label: '"Free shipping" method'}
  - name: '[coupons] Search by coupon'
    translations:
      - {code: en, label: 'Coupon name, product SKU or name'}
  - name: '[coupons] All coupon types'
    translations:
      - {code: en, label: 'All coupon types'}
  - name: '[coupons] Planned'
    translations:
      - {code: en, label: 'Planned'}
  - name: '[coupons] Any availability status'
    translations:
      - {code: en, label: 'Any availability status'}
  - name: '[coupons] Active'
    translations:
      - {code: en, label: 'Active'}
  - name: '[coupons] Expired'
    translations:
      - {code: en, label: 'Expired'}
